function getBodySize() {
	//we want the total body size for all browsers
	var myWidth = document.body.scrollWidth ;
	var myHeight = document.body.scrollHeight ;
  	var rval = {width: myWidth, height: myHeight };
	return rval;
}

function fetchedCountry() {
	// if the readyState code is 4 (Completed) and http status is 200 (OK) we go ahead and get the responseText
	if ((xmlhttp.readyState == 4) && (xmlhttp.status == 200)) {	
		if (xmlhttp.responseText.slice(3,5)=="BE") { //if (xmlhttp.responseText=="nl_BE") {
	    		createPopup() ; //if country is Belgium then create pop-up
		}
	}
}

function fetchedIP() {
	// if the readyState code is 4 (Completed) and http status is 200 (OK) we go ahead and get the responseText
	if ((xmlhttp.readyState == 4) && (xmlhttp.status == 200)) {
		var ip = xmlhttp.responseText; 
		if (ip=="") {
			return;
		}
		
		//fteched ip-address, now get the coutry for this ip-address
		var dest = "http://" + location.hostname + "/overview/inetlocator?ip=" + ip; //door altijd hostname te nemen kun je nooit cross-domain beveligings-fout krijgen
		try { // Moz supports XMLHttpRequest. IE uses ActiveX.
  		  	xmlhttp = window.XMLHttpRequest?new XMLHttpRequest(): new ActiveXObject("Microsoft.XMLHTTP");
		} catch (e) { // browser doesn't support ajax. handle however you want
    			return ;
		}
 		xmlhttp.onreadystatechange = fetchedCountry; // fetchedCountry() function handles the events
 		xmlhttp.open("Get", dest); // open takes in the HTTP method and url.
	 	xmlhttp.send(null); // Moz is fine with just send(); but IE expects a value here, hence we do send(null);
	}
}

function getCountryFromIP() {
	//check of al eens cookie gezet: zo ja dan return.... (geen popup meer geven)
	//getcookie en setcookie zijn bestaande functies die ik hier voor ook gebruikt heb
	if (getCookie("kkppbe")) {	
		return; //heeft al wel eens popup gehad: niet nogmaals
	}
	
	//check of cookie kan zetten (als cookies disabled niet verder gaan: anders krijgt bezoeker popup op elke pagina)
	var today = new Date()    //today's date
	var expiresdays = 120 * 1000 * 60 * 60 * 24; //120 dagen
	var expires_date = new Date( today.getTime() + (expiresdays) );
	setCookie("kkppbe", "kkpopupbelgie", expires_date, "/", null, null);
	if (!getCookie("kkppbe")) {
		return; 
	}

	//first get ip-address of the visitor by calling the ip.nsf database, this is done because cached pages will have the ip-address of a previous  
	//visitor when serving the ip-address directly with the current page (calls to ip.nsf will not be cached)
	var dest = "http://" + location.hostname + "/nl/ip.nsf/getIP?readform"; //door altijd hostname te nemen kun je nooit cross-domain beveligings-fout krijgen
	try { // Moz supports XMLHttpRequest. IE uses ActiveX.
  	  	xmlhttp = window.XMLHttpRequest?new XMLHttpRequest(): new ActiveXObject("Microsoft.XMLHTTP");
	} catch (e) { // browser doesn't support ajax. handle however you want
    		return ;
	} 	
	xmlhttp.onreadystatechange = fetchedIP; // fetchedIP() function handles the events
 	xmlhttp.open("Get", dest); // open takes in the HTTP method and url.
 	xmlhttp.send(null); // Moz is fine with just send(); but IE expects a value here, hence we do send(null);
}


function setOpacity(n,v,p,iebrowser){
	/* n is the element node, v is the opacity value, from 0 to 100. */
    v = (iebrowser) ? "alpha(opacity="+v+")" : v/100;
    n.style[p] = v;
    return n;
}

function createPopup() {

	var wDim = getBodySize();
	var popup_height = 150;
	var popup_width = 520;
	
	//Create transparent background
	var oModalBackgroundDiv = document.createElement("div");
	oModalBackgroundDiv.setAttribute("id","modalBackgroundDiv");	
	oModalBackgroundDiv.style.top = "0px";     
	oModalBackgroundDiv.style.left = "0px";     
	oModalBackgroundDiv.style.width = wDim.width + "px";        
	oModalBackgroundDiv.style.height = wDim.height + "px";        
	oModalBackgroundDiv.style.zIndex = 10;
	oModalBackgroundDiv.style.backgroundColor = "#CCCCCC";
	oModalBackgroundDiv.style.position = "absolute";
	var iebrowser = (document.all) ? 1 : 0;
	var p = (iebrowser) ? "filter" : "MozOpacity";
	setOpacity(oModalBackgroundDiv, 75, p, iebrowser);
	
	//Create pop-up container
	var oModalWindow = document.createElement("div");
	oModalWindow.setAttribute("id","modalWindow");
	oModalWindow.style.top = ((wDim.height - popup_height*2) / 2) + "px";
	oModalWindow.style.left =  ((wDim.width - popup_width) / 2) + "px";
	oModalWindow.style.width = popup_width + "px";        
	oModalWindow.style.height = popup_height + "px";        
	oModalWindow.style.zIndex = 11;
	oModalWindow.style.border = "2px solid black" ;
	oModalWindow.style.padding = "8px" ;
	oModalWindow.style.textAlign = "left" ;
	oModalWindow.style.backgroundColor = "#FFFFFF";
	oModalWindow.style.position = "absolute";
	
	//Create pop-up header
	var oHeaderParagraph = document.createElement("p");
	var oHeaderText = document.createTextNode("Kieskeurig is nu ook beschikbaar in Belgi\u00EB!");
	oHeaderParagraph.appendChild(oHeaderText);
	oHeaderParagraph.style.font = "bold 18px verdana" ;	
	oHeaderParagraph.style.textAlign = "center" ;
	
	//Create pop-up text
	var oParagraph = document.createElement("p");
	var oTextOfParagraphStart = document.createTextNode("Maak een keuze:");
	var oBreak1 = document.createElement("br");		
	var oLinkBE = document.createElement("a");
	var oTextOfLink = document.createTextNode("KIESKEURIG BELGIE");
	oLinkBE.appendChild(oTextOfLink);
	oLinkBE.setAttribute("href","http://www.kieskeurig.be" + location.pathname)	
	var onKlik = "urchinTracker('/be-popup/redirect.be')"  //tel aantal kliks op deze link met Google Analytics
	oLinkBE.onclick=new Function(onKlik);
		
	var oBreak2 = document.createElement("br");		
	var oLinkNL = document.createElement("a");
	var oTextOfLinkNL = document.createTextNode("KIESKEURIG NEDERLAND");
	oLinkNL.appendChild(oTextOfLinkNL);
	oLinkNL.setAttribute("href","http://www.kieskeurig.nl" + location.pathname)	
	var onKlikNL = "urchinTracker('/be-popup/doorgaan.nl')"  //tel aantal kliks op deze link met Google Analytics
	oLinkNL.onclick=new Function(onKlikNL);
	
	
	oParagraph.appendChild(oTextOfParagraphStart);
	oParagraph.appendChild(oBreak1);
	oParagraph.appendChild(oLinkBE);
	oParagraph.appendChild(oBreak2);
		oParagraph.appendChild(oLinkNL);
	oParagraph.style.font = "normal 13px verdana" ;
	oParagraph.style.textAlign = "center" ;
		
	//insert popup elements into container
	oModalWindow.appendChild(oHeaderParagraph);
	oModalWindow.appendChild(oParagraph);

	//Insert background and popup into DOM
	document.body.appendChild(oModalBackgroundDiv);
	document.body.appendChild(oModalWindow);
}

function afterLoadStackCaller() {
	//with setTimeout the javascript in the getCountryFromIP() function is forced to be run after the current stack has been processed
	//setTimeout("getCountryFromIP()", 1500); //ARA 08-09-2008 Uitgezet
}
